/**
* 文件：AssetQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.asset.model;
import java.util.List;

/**
 * <p>Title: 资产表</p>
 * <p>Description: AssetQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class AssetQuery extends AssetEntity{
	private static final long serialVersionUID = 1614235392602L;
	/** 开始 ID，自增长 */
	private Long idStart;

	/** 结束 ID，自增长 */
	private Long idEnd;

	/** 增加 ID，自增长 */
	private Long idIncrement;

	/** ID，自增长 */
	private List<Long> idList;

	/** 资产码，全局唯一 */
	private List<String> assetNumList;

	/** 业务码，关联的业务码 */
	private List<String> deviceNumList;

	/** 开始 所属物料ID，materia表ID */
	private Long materiaIdStart;

	/** 结束 所属物料ID，materia表ID */
	private Long materiaIdEnd;

	/** 增加 所属物料ID，materia表ID */
	private Long materiaIdIncrement;

	/** 所属物料ID，materia表ID */
	private List<Long> materiaIdList;

	/** 所属物料代码，materia表code */
	private List<String> materiaCodeList;

	/** 开始 所属bomID，bom表ID */
	private Long bomIdStart;

	/** 结束 所属bomID，bom表ID */
	private Long bomIdEnd;

	/** 增加 所属bomID，bom表ID */
	private Long bomIdIncrement;

	/** 所属bomID，bom表ID */
	private List<Long> bomIdList;

	/** 开始 生产厂家ID，partner表ID */
	private Long producerIdStart;

	/** 结束 生产厂家ID，partner表ID */
	private Long producerIdEnd;

	/** 增加 生产厂家ID，partner表ID */
	private Long producerIdIncrement;

	/** 生产厂家ID，partner表ID */
	private List<Long> producerIdList;

	/** 开始 生产日期 */
	private String produceDateStart;

	/** 结束 生产日期 */
	private String produceDateEnd;

	/** 开始 生产成本，单位：厘 */
	private Long produceCostStart;

	/** 结束 生产成本，单位：厘 */
	private Long produceCostEnd;

	/** 增加 生产成本，单位：厘 */
	private Long produceCostIncrement;

	/** 生产成本，单位：厘 */
	private List<Long> produceCostList;

	/** 开始 前流转状态，参数配置-AssetFlowStatus */
	private Integer beforeFlowStatusStart;

	/** 结束 前流转状态，参数配置-AssetFlowStatus */
	private Integer beforeFlowStatusEnd;

	/** 增加 前流转状态，参数配置-AssetFlowStatus */
	private Integer beforeFlowStatusIncrement;

	/** 前流转状态，参数配置-AssetFlowStatus */
	private List<Integer> beforeFlowStatusList;

	/** 开始 流转状态，参数配置-AssetFlowStatus */
	private Integer flowStatusStart;

	/** 结束 流转状态，参数配置-AssetFlowStatus */
	private Integer flowStatusEnd;

	/** 增加 流转状态，参数配置-AssetFlowStatus */
	private Integer flowStatusIncrement;

	/** 流转状态，参数配置-AssetFlowStatus */
	private List<Integer> flowStatusList;

	/** 开始 是否启用，0否，1是 */
	private Integer enabledStart;

	/** 结束 是否启用，0否，1是 */
	private Integer enabledEnd;

	/** 增加 是否启用，0否，1是 */
	private Integer enabledIncrement;

	/** 是否启用，0否，1是 */
	private List<Integer> enabledList;

	/** 开始 变更时间 */
	private String updateTimeStart;

	/** 结束 变更时间 */
	private String updateTimeEnd;

	/** 变更用户loginName */
	private List<String> updateUserList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 创建用户loginName */
	private List<String> createUserList;

	/** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
	private List<AssetQuery> orConditionList;

	/** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
	private List<AssetQuery> andConditionList;


	public AssetQuery(){
	}
	/**
	 * 获取 开始 ID，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 ID，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 ID，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 ID，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 ID，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 ID，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 ID，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 ID，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 资产码，全局唯一
	 * @return assetNumList
	 */
	public List<String> getAssetNumList(){
		return this.assetNumList;
	}

	/**
	 * 设置 资产码，全局唯一
	 * @param assetNumList
	 */
	public void setAssetNumList(List<String> assetNumList){
		this.assetNumList = assetNumList;
	}

	/**
	 * 获取 业务码，关联的业务码
	 * @return deviceNumList
	 */
	public List<String> getDeviceNumList(){
		return this.deviceNumList;
	}

	/**
	 * 设置 业务码，关联的业务码
	 * @param deviceNumList
	 */
	public void setDeviceNumList(List<String> deviceNumList){
		this.deviceNumList = deviceNumList;
	}

	/**
	 * 获取 开始 所属物料ID，materia表ID
	 * @return materiaIdStart
	 */
	public Long getMateriaIdStart(){
		return this.materiaIdStart;
	}

	/**
	 * 设置 开始 所属物料ID，materia表ID
	 * @param materiaIdStart
	 */
	public void setMateriaIdStart(Long materiaIdStart){
		this.materiaIdStart = materiaIdStart;
	}

	/**
	 * 获取 结束 所属物料ID，materia表ID
	 * @return materiaIdEnd
	 */
	public Long getMateriaIdEnd(){
		return this.materiaIdEnd;
	}

	/**
	 * 设置 结束 所属物料ID，materia表ID
	 * @param materiaIdEnd
	 */
	public void setMateriaIdEnd(Long materiaIdEnd){
		this.materiaIdEnd = materiaIdEnd;
	}

	/**
	 * 获取 增加 所属物料ID，materia表ID
	 * @return materiaIdIncrement
	 */
	public Long getMateriaIdIncrement(){
		return this.materiaIdIncrement;
	}

	/**
	 * 设置 增加 所属物料ID，materia表ID
	 * @param materiaIdIncrement
	 */
	public void setMateriaIdIncrement(Long materiaIdIncrement){
		this.materiaIdIncrement = materiaIdIncrement;
	}

	/**
	 * 获取 所属物料ID，materia表ID
	 * @return materiaIdList
	 */
	public List<Long> getMateriaIdList(){
		return this.materiaIdList;
	}

	/**
	 * 设置 所属物料ID，materia表ID
	 * @param materiaIdList
	 */
	public void setMateriaIdList(List<Long> materiaIdList){
		this.materiaIdList = materiaIdList;
	}

	/**
	 * 获取 所属物料代码，materia表code
	 * @return materiaCodeList
	 */
	public List<String> getMateriaCodeList(){
		return this.materiaCodeList;
	}

	/**
	 * 设置 所属物料代码，materia表code
	 * @param materiaCodeList
	 */
	public void setMateriaCodeList(List<String> materiaCodeList){
		this.materiaCodeList = materiaCodeList;
	}

	/**
	 * 获取 开始 所属bomID，bom表ID
	 * @return bomIdStart
	 */
	public Long getBomIdStart(){
		return this.bomIdStart;
	}

	/**
	 * 设置 开始 所属bomID，bom表ID
	 * @param bomIdStart
	 */
	public void setBomIdStart(Long bomIdStart){
		this.bomIdStart = bomIdStart;
	}

	/**
	 * 获取 结束 所属bomID，bom表ID
	 * @return bomIdEnd
	 */
	public Long getBomIdEnd(){
		return this.bomIdEnd;
	}

	/**
	 * 设置 结束 所属bomID，bom表ID
	 * @param bomIdEnd
	 */
	public void setBomIdEnd(Long bomIdEnd){
		this.bomIdEnd = bomIdEnd;
	}

	/**
	 * 获取 增加 所属bomID，bom表ID
	 * @return bomIdIncrement
	 */
	public Long getBomIdIncrement(){
		return this.bomIdIncrement;
	}

	/**
	 * 设置 增加 所属bomID，bom表ID
	 * @param bomIdIncrement
	 */
	public void setBomIdIncrement(Long bomIdIncrement){
		this.bomIdIncrement = bomIdIncrement;
	}

	/**
	 * 获取 所属bomID，bom表ID
	 * @return bomIdList
	 */
	public List<Long> getBomIdList(){
		return this.bomIdList;
	}

	/**
	 * 设置 所属bomID，bom表ID
	 * @param bomIdList
	 */
	public void setBomIdList(List<Long> bomIdList){
		this.bomIdList = bomIdList;
	}

	/**
	 * 获取 开始 生产厂家ID，partner表ID
	 * @return producerIdStart
	 */
	public Long getProducerIdStart(){
		return this.producerIdStart;
	}

	/**
	 * 设置 开始 生产厂家ID，partner表ID
	 * @param producerIdStart
	 */
	public void setProducerIdStart(Long producerIdStart){
		this.producerIdStart = producerIdStart;
	}

	/**
	 * 获取 结束 生产厂家ID，partner表ID
	 * @return producerIdEnd
	 */
	public Long getProducerIdEnd(){
		return this.producerIdEnd;
	}

	/**
	 * 设置 结束 生产厂家ID，partner表ID
	 * @param producerIdEnd
	 */
	public void setProducerIdEnd(Long producerIdEnd){
		this.producerIdEnd = producerIdEnd;
	}

	/**
	 * 获取 增加 生产厂家ID，partner表ID
	 * @return producerIdIncrement
	 */
	public Long getProducerIdIncrement(){
		return this.producerIdIncrement;
	}

	/**
	 * 设置 增加 生产厂家ID，partner表ID
	 * @param producerIdIncrement
	 */
	public void setProducerIdIncrement(Long producerIdIncrement){
		this.producerIdIncrement = producerIdIncrement;
	}

	/**
	 * 获取 生产厂家ID，partner表ID
	 * @return producerIdList
	 */
	public List<Long> getProducerIdList(){
		return this.producerIdList;
	}

	/**
	 * 设置 生产厂家ID，partner表ID
	 * @param producerIdList
	 */
	public void setProducerIdList(List<Long> producerIdList){
		this.producerIdList = producerIdList;
	}

	/**
	 * 获取 开始 生产日期
	 * @return produceDateStart
	 */
	public String getProduceDateStart(){
		return this.produceDateStart;
	}

	/**
	 * 设置 开始 生产日期
	 * @param produceDateStart
	 */
	public void setProduceDateStart(String produceDateStart){
		this.produceDateStart = produceDateStart;
	}

	/**
	 * 获取 结束 生产日期
	 * @return produceDateEnd
	 */
	public String getProduceDateEnd(){
		return this.produceDateEnd;
	}

	/**
	 * 设置 结束 生产日期
	 * @param produceDateEnd
	 */
	public void setProduceDateEnd(String produceDateEnd){
		this.produceDateEnd = produceDateEnd;
	}

	/**
	 * 获取 开始 生产成本，单位：厘
	 * @return produceCostStart
	 */
	public Long getProduceCostStart(){
		return this.produceCostStart;
	}

	/**
	 * 设置 开始 生产成本，单位：厘
	 * @param produceCostStart
	 */
	public void setProduceCostStart(Long produceCostStart){
		this.produceCostStart = produceCostStart;
	}

	/**
	 * 获取 结束 生产成本，单位：厘
	 * @return produceCostEnd
	 */
	public Long getProduceCostEnd(){
		return this.produceCostEnd;
	}

	/**
	 * 设置 结束 生产成本，单位：厘
	 * @param produceCostEnd
	 */
	public void setProduceCostEnd(Long produceCostEnd){
		this.produceCostEnd = produceCostEnd;
	}

	/**
	 * 获取 增加 生产成本，单位：厘
	 * @return produceCostIncrement
	 */
	public Long getProduceCostIncrement(){
		return this.produceCostIncrement;
	}

	/**
	 * 设置 增加 生产成本，单位：厘
	 * @param produceCostIncrement
	 */
	public void setProduceCostIncrement(Long produceCostIncrement){
		this.produceCostIncrement = produceCostIncrement;
	}

	/**
	 * 获取 生产成本，单位：厘
	 * @return produceCostList
	 */
	public List<Long> getProduceCostList(){
		return this.produceCostList;
	}

	/**
	 * 设置 生产成本，单位：厘
	 * @param produceCostList
	 */
	public void setProduceCostList(List<Long> produceCostList){
		this.produceCostList = produceCostList;
	}

	/**
	 * 获取 开始 前流转状态，参数配置-AssetFlowStatus
	 * @return beforeFlowStatusStart
	 */
	public Integer getBeforeFlowStatusStart(){
		return this.beforeFlowStatusStart;
	}

	/**
	 * 设置 开始 前流转状态，参数配置-AssetFlowStatus
	 * @param beforeFlowStatusStart
	 */
	public void setBeforeFlowStatusStart(Integer beforeFlowStatusStart){
		this.beforeFlowStatusStart = beforeFlowStatusStart;
	}

	/**
	 * 获取 结束 前流转状态，参数配置-AssetFlowStatus
	 * @return beforeFlowStatusEnd
	 */
	public Integer getBeforeFlowStatusEnd(){
		return this.beforeFlowStatusEnd;
	}

	/**
	 * 设置 结束 前流转状态，参数配置-AssetFlowStatus
	 * @param beforeFlowStatusEnd
	 */
	public void setBeforeFlowStatusEnd(Integer beforeFlowStatusEnd){
		this.beforeFlowStatusEnd = beforeFlowStatusEnd;
	}

	/**
	 * 获取 增加 前流转状态，参数配置-AssetFlowStatus
	 * @return beforeFlowStatusIncrement
	 */
	public Integer getBeforeFlowStatusIncrement(){
		return this.beforeFlowStatusIncrement;
	}

	/**
	 * 设置 增加 前流转状态，参数配置-AssetFlowStatus
	 * @param beforeFlowStatusIncrement
	 */
	public void setBeforeFlowStatusIncrement(Integer beforeFlowStatusIncrement){
		this.beforeFlowStatusIncrement = beforeFlowStatusIncrement;
	}

	/**
	 * 获取 前流转状态，参数配置-AssetFlowStatus
	 * @return beforeFlowStatusList
	 */
	public List<Integer> getBeforeFlowStatusList(){
		return this.beforeFlowStatusList;
	}

	/**
	 * 设置 前流转状态，参数配置-AssetFlowStatus
	 * @param beforeFlowStatusList
	 */
	public void setBeforeFlowStatusList(List<Integer> beforeFlowStatusList){
		this.beforeFlowStatusList = beforeFlowStatusList;
	}

	/**
	 * 获取 开始 流转状态，参数配置-AssetFlowStatus
	 * @return flowStatusStart
	 */
	public Integer getFlowStatusStart(){
		return this.flowStatusStart;
	}

	/**
	 * 设置 开始 流转状态，参数配置-AssetFlowStatus
	 * @param flowStatusStart
	 */
	public void setFlowStatusStart(Integer flowStatusStart){
		this.flowStatusStart = flowStatusStart;
	}

	/**
	 * 获取 结束 流转状态，参数配置-AssetFlowStatus
	 * @return flowStatusEnd
	 */
	public Integer getFlowStatusEnd(){
		return this.flowStatusEnd;
	}

	/**
	 * 设置 结束 流转状态，参数配置-AssetFlowStatus
	 * @param flowStatusEnd
	 */
	public void setFlowStatusEnd(Integer flowStatusEnd){
		this.flowStatusEnd = flowStatusEnd;
	}

	/**
	 * 获取 增加 流转状态，参数配置-AssetFlowStatus
	 * @return flowStatusIncrement
	 */
	public Integer getFlowStatusIncrement(){
		return this.flowStatusIncrement;
	}

	/**
	 * 设置 增加 流转状态，参数配置-AssetFlowStatus
	 * @param flowStatusIncrement
	 */
	public void setFlowStatusIncrement(Integer flowStatusIncrement){
		this.flowStatusIncrement = flowStatusIncrement;
	}

	/**
	 * 获取 流转状态，参数配置-AssetFlowStatus
	 * @return flowStatusList
	 */
	public List<Integer> getFlowStatusList(){
		return this.flowStatusList;
	}

	/**
	 * 设置 流转状态，参数配置-AssetFlowStatus
	 * @param flowStatusList
	 */
	public void setFlowStatusList(List<Integer> flowStatusList){
		this.flowStatusList = flowStatusList;
	}

	/**
	 * 获取 开始 是否启用，0否，1是
	 * @return enabledStart
	 */
	public Integer getEnabledStart(){
		return this.enabledStart;
	}

	/**
	 * 设置 开始 是否启用，0否，1是
	 * @param enabledStart
	 */
	public void setEnabledStart(Integer enabledStart){
		this.enabledStart = enabledStart;
	}

	/**
	 * 获取 结束 是否启用，0否，1是
	 * @return enabledEnd
	 */
	public Integer getEnabledEnd(){
		return this.enabledEnd;
	}

	/**
	 * 设置 结束 是否启用，0否，1是
	 * @param enabledEnd
	 */
	public void setEnabledEnd(Integer enabledEnd){
		this.enabledEnd = enabledEnd;
	}

	/**
	 * 获取 增加 是否启用，0否，1是
	 * @return enabledIncrement
	 */
	public Integer getEnabledIncrement(){
		return this.enabledIncrement;
	}

	/**
	 * 设置 增加 是否启用，0否，1是
	 * @param enabledIncrement
	 */
	public void setEnabledIncrement(Integer enabledIncrement){
		this.enabledIncrement = enabledIncrement;
	}

	/**
	 * 获取 是否启用，0否，1是
	 * @return enabledList
	 */
	public List<Integer> getEnabledList(){
		return this.enabledList;
	}

	/**
	 * 设置 是否启用，0否，1是
	 * @param enabledList
	 */
	public void setEnabledList(List<Integer> enabledList){
		this.enabledList = enabledList;
	}

	/**
	 * 获取 开始 变更时间
	 * @return updateTimeStart
	 */
	public String getUpdateTimeStart(){
		return this.updateTimeStart;
	}

	/**
	 * 设置 开始 变更时间
	 * @param updateTimeStart
	 */
	public void setUpdateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
	}

	/**
	 * 获取 结束 变更时间
	 * @return updateTimeEnd
	 */
	public String getUpdateTimeEnd(){
		return this.updateTimeEnd;
	}

	/**
	 * 设置 结束 变更时间
	 * @param updateTimeEnd
	 */
	public void setUpdateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUserList
	 */
	public List<String> getUpdateUserList(){
		return this.updateUserList;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUserList
	 */
	public void setUpdateUserList(List<String> updateUserList){
		this.updateUserList = updateUserList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUserList
	 */
	public List<String> getCreateUserList(){
		return this.createUserList;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUserList
	 */
	public void setCreateUserList(List<String> createUserList){
		this.createUserList = createUserList;
	}

	/**
	 * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @return orConditionList
	 */
	public List<AssetQuery> getOrConditionList(){
		return this.orConditionList;
	}

	/**
	 * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @param orConditionList
	 */
	public void setOrConditionList(List<AssetQuery> orConditionList){
		this.orConditionList = orConditionList;
	}

	/**
	 * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @return andConditionList
	 */
	public List<AssetQuery> getAndConditionList(){
		return this.andConditionList;
	}

	/**
	 * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @param andConditionList
	 */
	public void setAndConditionList(List<AssetQuery> andConditionList){
		this.andConditionList = andConditionList;
	}


}